<?php
  require_once('../../includes/load.php');
  // Checkin What level user has permission to view this page
   page_require_level(5);
?>
<?php
  // Define la ruta base de tu proyecto en la raíz del servidor
  define('RUTA_BASE', $_SERVER['DOCUMENT_ROOT'] . '/transporte/');
  // Directorio base para guardar las imágenes
  $dirBase = RUTA_BASE;
  $id = (int)$_GET['id'];

  $find_Foto = find_by_id('det_veh',$id);

  $fkinicial = $find_Foto['fkinicial'];
  $fkfinal = $find_Foto['fkfinal'];

  //para buscar a la foto anterior para ser eliminada
  $FotoDestuirI = $dirBase .$find_Foto['fkinicial'];


  //para buscar a la foto anterior para ser eliminada
  $FotoDestuirF = $dirBase .$find_Foto['fkfinal'];

  if (file_exists($FotoDestuirI) && $find_Foto['fkinicial'] !='') {
       unlink($FotoDestuirI);
  }

  if (file_exists($FotoDestuirF) && $find_Foto['fkfinal'] != '') {
       unlink($FotoDestuirF);
  }
  
  $delete_id = delete_by_id('det_veh',$id);
  

  if($delete_id){
      $session->msg("s","Se Elimino la Bitacora");
      redirect('listado_bitacora.php');
  } else {
      $session->msg("d","Eliminación falló");
      redirect('listado_bitacora.php');
  }
?>
